import React from 'react';
import type { Signal } from '@mongodb-js/compass-components';
import { type QueryOption } from '../constants/query-option-definition';
import type { QueryProperty } from '../constants/query-properties';
type QueryBarProps = {
    buttonLabel?: string;
    onApply: () => void;
    onReset: () => void;
    onOpenExportToLanguage: () => void;
    queryOptionsLayout?: (QueryOption | QueryOption[])[];
    queryChanged: boolean;
    resultId?: string | number;
    applyId: number;
    filterHasContent: boolean;
    showExplainButton?: boolean;
    showExportToLanguageButton?: boolean;
    valid: boolean;
    expanded: boolean;
    placeholders?: Record<QueryProperty, string>;
    onExplain?: () => void;
    insights?: Signal | Signal[];
    isAIInputVisible?: boolean;
    onShowAIInputClick: () => void;
    onHideAIInputClick: () => void;
};
export declare const QueryBar: React.FunctionComponent<QueryBarProps>;
declare const _default: import("react-redux").ConnectedComponent<React.FunctionComponent<QueryBarProps>, {
    insights?: Signal | Signal[] | undefined;
    queryOptionsLayout?: (QueryOption | QueryOption[])[] | undefined;
    placeholders?: Record<"filter" | "project" | "collation" | "sort" | "skip" | "limit" | "maxTimeMS", string> | undefined;
    buttonLabel?: string | undefined;
    resultId?: string | number | undefined;
    showExplainButton?: boolean | undefined;
    showExportToLanguageButton?: boolean | undefined;
    onApply?: ((query: unknown) => void) | undefined;
    onReset?: ((query: unknown) => void) | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=query-bar.d.ts.map